L'équipe Vigil@nce veille les vulnérabilités publiques qui affectent votre parc informatique, puis propose des correctifs sécurité, une base de données de vigilance et des outils pour y remédier.

Vulnérabilité de JasPer : déréférencement de pointeur NULL via ras_putdatastd

Synthèse de la vulnérabilité 

Un attaquant peut forcer le déréférencement d'un pointeur NULL via ras_putdatastd() de JasPer, afin de mener un déni de service.
Systèmes impactés : Debian, openSUSE Leap, Oracle DB, Oracle Fusion Middleware, Oracle OIT, WebLogic, SUSE Linux Enterprise Desktop, SLES, Ubuntu.
Gravité de cette alerte : 1/4.
Date de création : 03/01/2019.
Références de cette alerte : cpuapr2020, cpuoct2020, CVE-2018-18873, DLA-1628-1, DLA-1628-2, openSUSE-SU-2020:1517-1, openSUSE-SU-2020:1523-1, SUSE-SU-2020:2689-1, SUSE-SU-2020:2690-1, USN-4688-1, VIGILANCE-VUL-28151.

Description de la vulnérabilité 

Un attaquant peut forcer le déréférencement d'un pointeur NULL via ras_putdatastd() de JasPer, afin de mener un déni de service.
Bulletin complet, filtrage par logiciel, emails, correctifs, ... (Demandez votre essai gratuit)

Ce bulletin cyber-sécurité concerne les logiciels ou systèmes comme Debian, openSUSE Leap, Oracle DB, Oracle Fusion Middleware, Oracle OIT, WebLogic, SUSE Linux Enterprise Desktop, SLES, Ubuntu.

Notre équipe Vigil@nce a déterminé que la gravité de cette faille informatique est faible.

Le niveau de confiance est de type confirmé par l'éditeur, avec une provenance de document.

Un attaquant avec un niveau de compétence expert peut exploiter ce bulletin de menace.

Solutions pour cette menace 

Debian 8 : nouveaux paquetages jasper.
De nouveaux paquetages sont disponibles :
  Debian 8 : jasper 1.900.1-debian1-2.4+deb8u6

openSUSE Leap 15.1 : nouveaux paquetages JasPer.
De nouveaux paquetages sont disponibles :
  openSUSE Leap 15.1 : JasPer 2.0.14-lp151.4.9.1

openSUSE Leap 15.2 : nouveaux paquetages jasper.
De nouveaux paquetages sont disponibles :
  openSUSE Leap 15.2 : jasper 2.0.14-lp152.7.3.1

Oracle Database : CPU de octobre 2020.
Un Critical Patch Update est disponible :
  https://support.oracle.com/rs?type=doc&id=2694898.1

Oracle Fusion Middleware : CPU de avril 2020.
Un Critical Patch Update est disponible :
  https://support.oracle.com/rs?type=doc&id=2633852.1

SUSE LE 12 SP5 : nouveaux paquetages jasper.
De nouveaux paquetages sont disponibles :
  SUSE LE 12 SP5 : libjasper1 1.900.14-195.22.1

SUSE LE 15 : nouveaux paquetages jasper.
De nouveaux paquetages sont disponibles :
  SUSE LE 15 SP2 : libjasper4 2.0.14-3.16.1
  SUSE LE 15 SP1 : libjasper4 2.0.14-3.16.1

Ubuntu 16.04 : nouveaux paquetages libjasper1.
De nouveaux paquetages sont disponibles :
  Ubuntu 16.04 LTS : libjasper1 1.900.1-debian1-2.4ubuntu1.3
Bulletin complet, filtrage par logiciel, emails, correctifs, ... (Demandez votre essai gratuit)

Service de veille sur les vulnérabilités informatiques 

Vigil@nce fournit un correctif de vulnérabilité applicative. La base de vulnérabilités Vigil@nce contient plusieurs milliers de failles.